package com.yeejoin.amos.patrol.business.dao.mapper;


import com.yeejoin.amos.patrol.business.entity.mybatis.RiskJudgmentTaskBo;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 风险研判任务表
 */
public interface RiskJudgmentTaskMapper {

    Integer save(RiskJudgmentTaskBo riskJudgmentTaskBo);

    Integer update(RiskJudgmentTaskBo riskJudgmentTaskBo);

    Integer updateBatch(List<RiskJudgmentTaskBo> list);

    List<RiskJudgmentTaskBo> listByDateAndStatus(@Param("date") String date, @Param("status") Integer status);

    List<RiskJudgmentTaskBo> listByMap(Map<String, Object> map);

    Long countByMap(Map<String, Object> map);

    RiskJudgmentTaskBo getById(Long id);

    Long countByFlowUserIds(String userId);

    RiskJudgmentTaskBo getByInstanceIdAndTaskDefinitionKey(@Param("instanceId") String instanceId, @Param("taskDefinitionKey") String taskDefinitionKey);

    void updatetTaskStatusByInstanceId(HashMap<String, Object> map);
}
